QFAST API Documentation
  1. API
  • Introduction
  • Authentication
  • Onboarding Flow
  • Loan Flow
  • Disbursement Flow
  • Repayment Flow
  • Area Reference
  • API
    • Obtain an Access Token
      POST
    • Onboarding Personal
      POST
    • Get Onboarding Status
      GET
    • Submit Loan
      POST
    • Update Loan
      PATCH
    • Get Loan
      GET
  • Webhook
    • Onboarding Webhooks
    • Loan Webhooks
    • Disbursement Webhooks
    • Repayment Webhooks
  1. API

Update Loan

PATCH
/v1/loans/{loan_id}
Correct the data of a loan that has not been disbursed yet. This endpoint replaces the full loan object — send the complete loan payload, not just the changed fields.
Only loans in pending status with no disbursement in progress can be updated. Each successful update fires a loan.updated webhook.

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://api.sandbox.qfast.id/v1/oauth2/token
or
Path Params

Header Params

Body Params application/jsonRequired

Example
{
    "loan": {
        "principal_amount": "6000000.00",
        "interest_amount": "900000.00",
        "admin_fee_amount": "50000.00",
        "reserve_amount": "500000.00",
        "term_unit": "month",
        "term_length": 3,
        "penalty_rate": 0.01,
        "start_date": "2026-05-15",
        "repayment_schedules": [
            {
                "reference_id": "SCH-MONTH-1",
                "principal_amount": "2000000.00",
                "interest_amount": "300000.00",
                "due_date": "2026-06-15",
                "daily_repayment_schedules": [
                    {
                        "reference_id": "DAY-001",
                        "principal_amount": "66666.67",
                        "interest_amount": "10000.00",
                        "due_date": "2026-05-15"
                    }
                ]
            }
        ]
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff --request PATCH 'https://api.sandbox.qfast.id/v1/loans/{{loan}}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "loan": {
        "principal_amount": "6000000.00",
        "interest_amount": "900000.00",
        "admin_fee_amount": "50000.00",
        "reserve_amount": "500000.00",
        "term_unit": "month",
        "term_length": 3,
        "penalty_rate": 0.01,
        "start_date": "2026-05-15",
        "repayment_schedules": [
            {
                "reference_id": "SCH-MONTH-1",
                "principal_amount": "2000000.00",
                "interest_amount": "300000.00",
                "due_date": "2026-06-15",
                "daily_repayment_schedules": [
                    {
                        "reference_id": "DAY-001",
                        "principal_amount": "66666.67",
                        "interest_amount": "10000.00",
                        "due_date": "2026-05-15"
                    }
                ]
            }
        ]
    }
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "data": {
        "loan_id": "019e15a1-c644-705c-9330-fffa62cd44ed",
        "reference_account_number": "LND-ACC-2026-0001",
        "status": "pending",
        "principal_amount": "6000000.00",
        "interest_amount": "900000.00",
        "admin_fee_amount": "50000.00",
        "reserve_amount": "500000.00",
        "reserve_balance_amount": "500000.00",
        "term_unit": "month",
        "term_length": 3,
        "penalty_rate": "0.0100",
        "start_date": "2026-05-15"
    }
}
Previous
Submit Loan
Next
Get Loan
Built with